<?
	// Include the session configuration file
	include('includes/session.inc');
	
	// Verify that the username and password are set, and if they are
	// include the database and function files, and show the contents of the page
	if(isset($username) && isset($password)){

        	include('includes/config.inc');
        	include('includes/db.inc');
        	include('includes/queries.inc');
        	include('includes/functions.inc');
        	
        	// Check to see if the form was submitted
        	if($contact_add_submit){
        		// Let's check the form for errors. The only things we want to require of an entry
        		// is that the user has entered a first and last name, and that both start with a
        		// letter
        		// Check the first name field
        		if(!empty($firstname_add)){
        			if(name_validate($firstname_add) == FALSE){
        				$firstname_error = "A first name must start with a letter";
        			}
        		}
        		else{
        			$firstname_error = "You must enter a first name";
        		}
        		
        		// Check the last name field
        		if(!empty($lastname_add)){
        			if(name_validate($lastname_add) == FALSE){
	        			$lastname_error = "A last name must start with a letter";
	        		}
        		}
        		else{
        			$lastname_error = "You must enter a last name";
        		}
        		
        		// Next, let's see if an email address was entered. If it was then let's make sure it
        		// was entered in the correct format
        		if(!empty($email_add)){
        			if(email_validate($email_add) == FALSE){
        				$email_error = "The email address entered appears to be invalid";
        			}
        		}
        		
        		// Next, let's go ahead and submit the values entered to the database unless there
        		// were errors.
        		if((!IsSet($firstname_error)) && (!IsSet($lastname_error)) && (!IsSet($email_error))){
        			// Add the contact to the database
        			mysql_query($contact_add) or die(mysql_error());
        		
        			// Uncomment the following line if you want to be taken back to the contact list
        			// after submitting a contact
        			//header("Location:contacts.php?contact_list_alpha=".strtolower(substr($lastname_add,0,1))."");
        		
        			// Set the $message variable to show that the submission was successful
        			$message = ucfirst(strtolower($firstname_add))." ".ucfirst(strtolower($lastname_add))." was successfully added";
        			
        			//Unset the form variables so the values are not echoed
        			unset($contact_type_add);
        			unset($firstname_add);
        			unset($lastname_add);
        			unset($address_add);
        			unset($city_add);
        			unset($state_add);
        			unset($zip_add);
        			unset($home_phone_add);
        			unset($work_phone_add);
        			unset($cell_phone_add);
        			unset($fax_phone_add);
        			unset($email_add);
        			unset($website_add);
        		}
        		// In the case of errors, we will skip submitting the data and go back
        		// to the form with the for values echoed
        		else{
        			$message = "There were errors detected. Check the form for details";
        		}
        	}
        	
        	// Check to see if a request was sent to go back to the
        	// contact list
        	if($back_to_contacts){
        		header("Location:contacts.php");
        	}
        	
        
        ////////////////////////////
        // BEGIN HEADER INCLUSION //
        ////////////////////////////
        	include('includes/header.inc');
        	
        ?>
            <br>
            <p align="center"><b><font size="4">Create New Contact</font></b><br>
            	<?
            		if(!empty($message)){
            			echo "<div align=\"center\" class=\"error_text\">(".$message.")</div>";
            		}
            	?>
            </p>
        
        <!-- BEGIN CONTENT -->
        
              <form action="contact_add.php" method="POST">
              <table width="400" cellpadding="0" cellspacing="0" border="0" class="list_table">
                <tr>
                  <td class="header_cell">&nbsp;</td>
                </tr>
                <tr>
                  <td class="content_cell">
                    <div align="center">
                    <table width="350" cellpadding="5" cellspacing="0" border="0">
                      <tr>
                        <td>
                          <div align="left">Contact Type:</div>
                          <div align="left">
                          <select name="contact_type_add">
                          	
                          	<?
                          		// Check to see if the $contact_type_add variable is set
                          		if($contact_type_add == "Business"){
                          			echo"<option value=\"Personal\">Personal</option>
                          			     <option value=\"Business\" SELECTED>Business</option>";
                          		}
                          		else{
                          			echo"<option value=\"Personal\" SELECTED>Personal</option>
                          			     <option value=\"Business\">Business</option>";
                          		}
                          	?>
                          	
                          </select>
                          </div>
                        </td>
                      <tr>
                        <td valign="top">
                          <div align="left">First Name:</div>
                          <div align="left">
                          <input type="text" name="firstname_add" value="<?= $firstname_add; ?>" size="20" maxlength="50">
                          </div>
                          
                          <?
                          	// Print out an error is there was no first name entered
                          	if(IsSet($firstname_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$firstname_error."
                          		      </div>";
                          	}
                          ?>
                          
                        </td>
                        <td valign="top">
                          <div align="left">Last Name:</div>
                          <div align="left">
                          <input type="text" name="lastname_add" value="<?= $lastname_add; ?>" size="20" maxlength="50">
                          </div>
                          
                          <?
                          	// Print out an error is there was no last name entered
                          	if(IsSet($lastname_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$lastname_error."
                          		      </div>";
                          	}
                          ?>
                          
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Address:</div>
                          <div align="left">
                          <input type="text" name="address_add" value="<?= $address_add; ?>" size="45" maxlength="100">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">City:</div>
                          <div align="left">
                          <input type="text" name="city_add" value="<?= $city_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">State / Province:</div>
                          <div align="left">
                          <input type="text" name="state_add" value="<?= $state_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Zip / Postal Code:</div>
                          <div align="left">
                          <input type="text" name="zip_add" value="<?= $zip_add; ?>" size="10" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">Home Phone:</div>
                          <div align="left">
                          <input type="text" name="home_phone_add" value="<?= $home_phone_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">Work Phone:</div>
                          <div align="left">
                          <input type="text" name="work_phone_add" value="<?= $work_phone_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">Cell Phone:</div>
                          <div align="left">
                          <input type="text" name="cell_phone_add" value="<?= $cell_phone_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">Fax:</div>
                          <div align="left">
                          <input type="text" name="fax_phone_add" value="<?= $fax_phone_add; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Email:</div>
                          <div align="left">
                          <input type="text" name="email_add" value="<?= $email_add; ?>" size="45" maxlength="100">
                          </div>
                          
                          <?
                          	if(IsSet($email_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$email_error."
                          		      </div>";
                          	}
                          ?>
                        
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Website:</div>
                          <div align="left">
                          <input type="text" name="website_add" value="<?= $website_add; ?>" size="45" maxlength="100">
                          </div>
                        </td>
                      </tr>
                    </table>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td class="footer_cell">&nbsp;</td>
                </tr>
                <tr>
                  <td>
                    <br>
                    <table width="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td>                           
                    	  <div align="left">
                    	    <input type="submit" name="back_to_contacts" value="Back to Contacts">
                    	  </div>
                    	</td>
                    	<td>
                    	  <div align="right">
                    	    <input type="submit" name="contact_add_submit" value="Add Contact">
                    	  </div>
                    	</td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
              </form>
                    
        
        <!-- END CONTENT -->
        
              <br>
<?
		include('includes/footer.inc');
	}
	else{
		header("Location:index.php");
	}		
?>