<?
	// Include the session configuration file
	include('includes/session.inc');
	
	// Verify that the username and password are set, and if they are
	// include the database and function files, and show the contents of the page
	if(isset($username) && isset($password)){

        	include('includes/config.inc');
        	include('includes/db.inc');
        	include('includes/queries.inc');
        	include('includes/functions.inc');
        	
        	// Check to see if the form was submitted
        	if($contact_edit_submit){
        		// Let's check the form for errors. The only things we want to require of an entry
        		// is that the user has entered a first and last name, and that both start with a
        		// letter
        		// Check the first name field
        		if(!empty($firstname_edit)){
        			if(name_validate($firstname_edit) == FALSE){
        				$firstname_error = "A first name must start with a letter";
        			}
        		}
        		else{
        			$firstname_error = "You must enter a first name";
        		}
        		
        		// Check the last name field
        		if(!empty($lastname_edit)){
        			if(name_validate($lastname_edit) == FALSE){
	        			$lastname_error = "A last name must start with a letter";
	        		}
        		}
        		else{
        			$lastname_error = "You must enter a last name";
        		}
        		
        		// Next, let's see if an email address was entered. If it was then let's make sure it
        		// was entered in the correct format
        		if(!empty($email_edit)){
        			if(email_validate($email_edit) == FALSE){
        				$email_error = "The email address entered appears to be invalid";
        			}
        		}
        		
        		// Next, let's go ahead and submit the values entered to the database unless there
        		// were errors.
        		if((!IsSet($firstname_error)) && (!IsSet($lastname_error)) && (!IsSet($email_error))){
        			// Add the contact to the database
        			mysql_query($contact_edit) or die(mysql_error());
        		
        			// Uncomment the following line if you want to be taken back to the contact list
        			// after submitting a contact
        			header("Location:contacts.php?contact_list_alpha=".strtolower(substr($lastname_edit,0,1))."");
        		
        			// Set the $message variable to show that the submission was successful
        			// $message = ucfirst(strtolower($firstname_edit))." ".ucfirst(strtolower($lastname_edit))." was successfully added";
        			
        			//Unset the form variables so the values are not echoed
        			unset($contact_type_edit);
        			unset($firstname_edit);
        			unset($lastname_edit);
        			unset($address_edit);
        			unset($city_edit);
        			unset($state_edit);
        			unset($zip_edit);
        			unset($home_phone_edit);
        			unset($work_phone_edit);
        			unset($cell_phone_edit);
        			unset($fax_phone_edit);
        			unset($email_edit);
        			unset($website_edit);
        		}
        		// In the case of errors, we will skip submitting the data and go back
        		// to the form with the for values echoed
        		else{
        			$message = "There were errors detected. Check the form for details";
        		}
        	}
        	elseif($contact_edit_cancel){
        		header("Location:contacts.php");
        	}
        	else{
        		// Pull the information for the current contact
        		$contact_detail_results = mysql_query($contact_detail_show) or die(mysql_error);
        		$fetch_contact_detail = mysql_fetch_array($contact_detail_results);
        		
        		$contact_type_edit = $fetch_contact_detail["contact_type"];
        		$firstname_edit = $fetch_contact_detail["firstname"];
        		$lastname_edit = $fetch_contact_detail["lastname"];
        		$address_edit = $fetch_contact_detail["address"];
        		$city_edit = $fetch_contact_detail["city"];
        		$state_edit = $fetch_contact_detail["state"];
        		$zip_edit = $fetch_contact_detail["zip"];
        		$home_phone_edit = $fetch_contact_detail["home_phone"];
        		$work_phone_edit = $fetch_contact_detail["work_phone"];
        		$cell_phone_edit = $fetch_contact_detail["cell_phone"];
        		$fax_phone_edit = $fetch_contact_detail["fax_phone"];
        		$email_edit = $fetch_contact_detail["email"];
        		$website_edit = $fetch_contact_detail["website"];
        	}
        
        ////////////////////////////
        // BEGIN HEADER INCLUSION //
        ////////////////////////////
        	include('includes/header.inc');
        	
        ?>
            <br>
            <p align="center"><b><font size="4">Edit Contact</font></b><br>
            	<?
            		if(!empty($message)){
            			echo "<div align=\"center\" class=\"error_text\">(".$message.")</div>";
            		}
            	?>
            </p>
        
        <!-- BEGIN CONTENT -->
        
              <form action="contact_edit.php" method="POST">
              <table width="400" cellpadding="0" cellspacing="0" border="0" class="list_table">
                <tr>
                  <td class="header_cell">&nbsp;</td>
                </tr>
                <tr>
                  <td class="content_cell">
                    <div align="center">
                    <table width="350" cellpadding="5" cellspacing="0" border="0">
                      <tr>
                        <td>
                          <div align="left">Contact Type:</div>
                          <div align="left">
                          <select name="contact_type_edit">
                          	
                          	<?
                          		// Check to see if the $contact_type_edit variable is set
                          		if($contact_type_edit == "Business"){
                          			echo"<option value=\"Personal\">Personal</option>
                          			     <option value=\"Business\" SELECTED>Business</option>";
                          		}
                          		else{
                          			echo"<option value=\"Personal\" SELECTED>Personal</option>
                          			     <option value=\"Business\">Business</option>";
                          		}
                          	?>
                          	
                          </select>
                          </div>
                        </td>
                      <tr>
                        <td valign="top">
                          <div align="left">First Name:</div>
                          <div align="left">
                          <input type="text" name="firstname_edit" value="<?= $firstname_edit; ?>" size="20" maxlength="50">
                          </div>
                          
                          <?
                          	// Print out an error is there was no first name entered
                          	if(IsSet($firstname_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$firstname_error."
                          		      </div>";
                          	}
                          ?>
                          
                        </td>
                        <td valign="top">
                          <div align="left">Last Name:</div>
                          <div align="left">
                          <input type="text" name="lastname_edit" value="<?= $lastname_edit; ?>" size="20" maxlength="50">
                          </div>
                          
                          <?
                          	// Print out an error is there was no last name entered
                          	if(IsSet($lastname_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$lastname_error."
                          		      </div>";
                          	}
                          ?>
                          
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Address:</div>
                          <div align="left">
                          <input type="text" name="address_edit" value="<?= $address_edit; ?>" size="45" maxlength="100">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">City:</div>
                          <div align="left">
                          <input type="text" name="city_edit" value="<?= $city_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">State / Province:</div>
                          <div align="left">
                          <input type="text" name="state_edit" value="<?= $state_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Zip / Postal Code:</div>
                          <div align="left">
                          <input type="text" name="zip_edit" value="<?= $zip_edit; ?>" size="10" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">Home Phone:</div>
                          <div align="left">
                          <input type="text" name="home_phone_edit" value="<?= $home_phone_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">Work Phone:</div>
                          <div align="left">
                          <input type="text" name="work_phone_edit" value="<?= $work_phone_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div align="left">Cell Phone:</div>
                          <div align="left">
                          <input type="text" name="cell_phone_edit" value="<?= $cell_phone_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                        <td>
                          <div align="left">Fax:</div>
                          <div align="left">
                          <input type="text" name="fax_phone_edit" value="<?= $fax_phone_edit; ?>" size="20" maxlength="50">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Email:</div>
                          <div align="left">
                          <input type="text" name="email_edit" value="<?= $email_edit; ?>" size="45" maxlength="100">
                          </div>
                          
                          <?
                          	if(IsSet($email_error)){
                          		echo "<div align=\"left\" class=\"error_text\">
                          			<b>*</b>".$email_error."
                          		      </div>";
                          	}
                          ?>
                        
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <div align="left">Website:</div>
                          <div align="left">
                          <input type="text" name="website_edit" value="<?= $website_edit; ?>" size="45" maxlength="100">
                          </div>
                        </td>
                      </tr>
                    </table>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td class="footer_cell">&nbsp;</td>
                </tr>
                <tr>
                  <td>
                    <br>
                    <table width="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td>
                          <div align="left">
                            <input type="submit" name="contact_edit_cancel" value="Cancel">
                          </div>
                        </td>
                        <td>
                          <div align="right">
                            <input type="hidden" name="contact_id" value="<?= $contact_id; ?>">
                            <input type="submit" name="contact_edit_submit" value="Edit Contact">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
              </form>
                    
        
        <!-- END CONTENT -->
        
              <br>
<?
		include('includes/footer.inc');
	}
	else{
		header("Location:index.php");
	}		
?>