<?
/////////////////////
// BEGIN FUNCTIONS //
/////////////////////

/* Not working for some reason

// Email address validation //
// This function takes an email address as a variable, and
// determines if it is a valid formed address, based on the
// contained regular expression. To allow a domain extension
// not allready allowed, simply add it to the list of current
// domain extensions
function email_validate($email_address){
	if(ereg("^[\w.-]+@[\w.-]+\.(com|net|org|edu|mil|gov|gob|info|tv|biz) +(\.[A-Za-z]{2}|\s*)$", $email_address)){
		return TRUE;
	}
	else{
		return FALSE;
	}
}

*/

// Email address validation //
// This function takes an email address as a variable, and
// determines if it is a valid formed address, based on the
// contained regular expression. To allow a domain extension
// not allready allowed, simply add it to the list of current
// domain extensions
function email_validate($email_address){
	if(ereg("^[A-Za-z1-9.-_]+@[A-Za-z1-9.-_]+\.(com|net|org|edu|mil|gov|gob|info|tv|biz)+(\.[A-Za-z]{2}|\s*)$", $email_address)){
		return TRUE;
	}
	else{
		return FALSE;
	}
}

// Name validation functions //
// Because many of the contact list views have an alphabetical
// listing feature, we want to make sure that the name entered
// for a new contact begins with a letter. Any other characters
// beyond the first letter can be whatever the user chooses
function name_validate($name){
	
	// Verify the given variable starts with a letter
	if(ereg("^[a-zA-Z]+[a-zA-Z0-9]*$", $name)){
		return TRUE;
	}
	else{
		return FALSE;
	}
}

// Username validation functions //
// Usernames must begin with a letter, and only contain
// numbers and lowercase letters
function username_validate($username){
	
	// Verify the given variable starts with a letter
	if(ereg("^[a-z]+[a-z0-9]*$", $username)){
		return TRUE;
	}
	else{
		return FALSE;
	}
}

// Password validation functions
// Passwords must be between 6 and 8 characters, and only contain
// number, lowercase letters, underscores, and exclamations
function password_validate($password){
	
	if(ereg("^[a-z0-9_]{6,8}$", $password)){
		return TRUE;
	}
	else{
		return FALSE;
	}
}
	
// Activation email function
// This function formats and sends and activation email to new users
function activate_email($site_url,$username,$password,$firstname,$lastname,$email,$activate_code){
	$to_address = $email;
	$from = "From: phpPalmPilot Support";
	$subject = "phpPalmPilot Account Activation";
	$body = "Dear ".$firstname.",\n\n".
			"Thank you for registering a phpPalmPilot Account!\n\n".
			
			"The next step is to activate your account, which you can do at the following URL:\n\n\n".
			
			$site_url."activate.php?username=".$username."&activate_code=".$activate_code."\n\n\n".
			
			"Once you activate your account, you can begin using phpPalmPilot. You can log in with\n".
			
			"the following information:\n\n".
			
			"Username: ".$username."\n".
			"Password: ".$password."\n\n".
			
			"Thank you,\n".
			"phpPalmPilot Support";
	
	mail($to_address,$subject,$body,$from);
}

///////////////////
// END FUNCTIONS //
///////////////////
?>